[@rxap/ngx-material-authentication](../wiki/globals) / LoginFormSubmitMethod

# Class: LoginFormSubmitMethod

Defined in: [login/login.form.ts:73](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L73)

## Implements

- `FormSubmitMethod`\<`any`\>

## Constructors

### new LoginFormSubmitMethod()

> **new LoginFormSubmitMethod**(`signInWithEmailAndPasswordMethod`): [`LoginFormSubmitMethod`](../wiki/Class.LoginFormSubmitMethod)

Defined in: [login/login.form.ts:74](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L74)

#### Parameters

##### signInWithEmailAndPasswordMethod

[`SignInWithEmailAndPasswordMethod`](../wiki/Class.SignInWithEmailAndPasswordMethod)

#### Returns

[`LoginFormSubmitMethod`](../wiki/Class.LoginFormSubmitMethod)

## Methods

### call()

> **call**(`value`): `Promise`\<`any`\>

Defined in: [login/login.form.ts:77](https://gitlab.com/rxap/packages/-/blob/c440f5cccebab3281a30a4b253e4e1fc490fe1e4/packages/angular/material/authentication/src/lib/login/login.form.ts#L77)

#### Parameters

##### value

###### email

`string`

###### password

`string`

###### remember

`boolean`

#### Returns

`Promise`\<`any`\>

#### Implementation of

`FormSubmitMethod.call`
